Bug 134015 - FC3 release notes -- mailman installation directory change
Summary: FC3 release notes -- mailman installation directory change
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: fedora-release (Show other bugs)
(Show other bugs)
Version: 3
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Ed Bailey
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: fc-relnotes-blocker
TreeView+ depends on / blocked
 
Reported: 2004-09-28 23:35 UTC by John Dennis
Modified: 2007-11-30 22:10 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-13 17:05:25 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description John Dennis 2004-09-28 23:35:29 UTC
IMPORTANT NOTE FOR USERS UPGRADING FROM A PREVIOUS RED HAT MAILMAN
INSTALLATION:

Earlier Red Hat mailman rpms installed all of the mailman files under
/var/mailman. This did not conform to the Filesystem Hierarchy
Standard (FHS) and created security violations when SELinux is
enabled. As of mailman-2.1.5-21 variable data (e.g. lists) is in
/var/mailman and all other files are installed under /usr/lib/mailman.
If you previously had mailman installed and have edited files in
/var/mailman (e.g. configuration) you will need to move those changes
from /var/mailman to /usr/lib/mailman.

Please refer to the installation documentation file
/usr/share/doc/mailman-*/INSTALL.REDHAT for details.

Comment 1 John Dennis 2004-09-28 23:39:16 UTC
Almost forgot, this applies to bug #132732

Comment 5 Ed Bailey 2004-09-30 17:04:30 UTC
John -- how does this sound:

Earlier mailman RPMs installed all files under the /var/mailman/
directory. Unfortunately, this did not conform to the Filesystem
Hierarchy Standard (FHS) and also created security violations when
SELinux was enabled.

Therefore, the version of mailman shipped with Fedora Core 2.92 Test 3
now places variable data (such as the lists/ directory) in
/var/mailman/, while all other files are installed under
/usr/lib/mailman/.

If you previously had mailman installed and had edited files in
/var/mailman/ (such as mm_cfg.py) you must move those changes from
/var/mailman/ to /usr/lib/mailman.

Refer to the following installation documentation file for details:

/usr/share/doc/mailman-*/INSTALL.REDHAT


Comment 6 Ed Bailey 2004-10-04 15:37:11 UTC
John -- Since I've not heard from you with either an update or a
confirmation that the above text is correct, I'm going to pull the
text just before my noontime deadline for delivering the fc3t3 release
notes.

Assuming we can get this squared away over the next week or so, we can
get the content into the release notes for FC3 final...

Comment 7 John Dennis 2004-10-12 20:17:29 UTC
In general this sounds good Ed, but I'm going to make a suggestion
that will allow us a bit more flexibility because we're still making
some directory location tweaks and so that when the final rpm ships
the release notes aren't incorrect. How about if we strike the 2nd
paragraph and change the last phrase in the 3rd paragraph from "to
/usr/lib/mailman" to "to their new location as documented in
/usr/share/doc/mailman-*/INSTALL.REDHAT"

That way the exact final locations are documented in the actual RPM
that ships and the release notes can't be out of sync. Sound reasonsable?

Comment 8 Ed Bailey 2004-10-12 20:38:23 UTC
That'll work.  Thanks.

Comment 9 Ed Bailey 2004-10-13 17:05:25 UTC
Ok, here's the final version:

Earlier mailman RPMs installed all files under the /var/mailman/
directory. Unfortunately, this did not conform to the Filesystem
Hierarchy Standard (FHS) and also created security violations when
SELinux was enabled.

If you previously had mailman installed and had edited files in
/var/mailman/ (such as mm_cfg.py) you must move those changes to their
new location, as documented in the following file:

/usr/share/doc/mailman-*/INSTALL.REDHAT

Closing this bug; feel free to reopen if anything related to mailman
changes...


Note You need to log in before you can comment on or make changes to this bug.